﻿using Hotline.CallCenter.Configs;
using Hotline.Repository.SqlSugar;
using Microsoft.Extensions.Configuration;
using Microsoft.Extensions.DependencyInjection;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.Tests.SqlSuger;
public static class CAPDbExtensions
{
    public static IServiceCollection AddCAPDb(this IServiceCollection services, IConfiguration configuration)
    {
        SqlSugarScope sqlSugar = new(new ConnectionConfig() 
        { 
            DbType = DbType.PostgreSQL,
            ConnectionString = configuration.GetConnectionString("CAP"),
            IsAutoCloseConnection = true,
            InitKeyType = InitKeyType.Attribute,
            MoreSettings = new ConnMoreSettings()
            {
                PgSqlIsAutoToLower = false
            }
        });

        ISugarUnitOfWork<CapDbContext> context = new SugarUnitOfWork<CapDbContext>(sqlSugar);
        services.AddSingleton(context);
        return services;
    }
}
